## gkrellm-thinkbat 0.2.2

=== Makefile ===
VERSION = 0.2.2
CC = gcc
CFLAGS = -I. -Wall -pedantic -O2
INCLUDE = `pkg-config gtk+-2.0 --cflags` -fPIC -DVERSION=\"$(VERSION)\"
LFLAGS = -shared -lm
INSTALLDIR = ~/.gkrellm2/plugins/



all : gkrellm-thinkbat.so

gkrellm-thinkbat.so : gkrellm-thinkbat.o collect_data.o
	$(CC) $(INCLUDE) $(LFLAGS) -o gkrellm-thinkbat.so gkrellm-thinkbat.o collect_data.o

gkrellm-thinkbat.o : collect_data.h collect_data.o
	$(CC) $(INCLUDE) -c gkrellm-thinkbat.c

collect_data.o : collect_data.h
	$(CC) $(INCLUDE) -c collect_data.c

clean :
	rm *.o gkrellm-thinkbat.so

install : gkrellm-thinkbat.so
	install -d $(INSTALLDIR)
	install -c -s -m 644 gkrellm-thinkbat.so $(INSTALLDIR)

dist :
	rm -rf gkrellm-thinkbat-$(VERSION)
	mkdir gkrellm-thinkbat-$(VERSION)
	cp AUTHORS ChangeLog collect_data.c collect_data.h COPYING gkrellm-thinkbat.c gkrellm-thinkbat.h Makefile README TODO gkrellm-thinkbat-$(VERSION)
	tar -czf ../gkrellm-thinkbat-$(VERSION).tar.gz gkrellm-thinkbat-$(VERSION)
	rm -rf gkrellm-thinkbat-$(VERSION)

=== debian/changelog ===
gkrellm-thinkbat (0.2.2-1.2) unstable; urgency=medium

  * Non-maintainer upload
  * Convert to source format 3.0 (Closes: #1007348)
  * d/copyright: Convert to machine-readable format
  * Build-Depend on pkgconf instead of pkg-config

 -- Bastian Germann <bage@debian.org>  Wed, 17 Apr 2024 21:07:36 +0000

gkrellm-thinkbat (0.2.2-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/compat: 5 -> 7. (Closes: #965552)
  * debian/rules: Add build-{arch,indep}. (Closes: #999157)

 -- Adrian Bunk <bunk@debian.org>  Tue, 28 Dec 2021 01:28:15 +0200

gkrellm-thinkbat (0.2.2-1) unstable; urgency=low

  * Initial release (Closes: #470831)

 -- Adam Sloboda <ja@disorder.sk>  Thu, 13 Mar 2008 22:18:07 +0100

=== debian/control ===
Source: gkrellm-thinkbat
Section: x11
Priority: optional
Maintainer: Adam Sloboda <ja@disorder.sk>
Build-Depends: debhelper (>= 5), gkrellm (>= 2.0.0), libgtk2.0-dev, pkgconf
Standards-Version: 3.7.3
Homepage: http://people.ksp.sk/~rasto/gkrellm-thinkbat/

Package: gkrellm-thinkbat
Architecture: any
Depends: ${shlibs:Depends}, gkrellm (>= 2.0.0)
Description: ThinkPad laptops battery status indicator for GKrellM
 This plugin displays:
  * power consumption
  * time estimation
  * remaining capacity percentage
  * charging information
 .
 tp_smapi kernel module is required as source of information about battery.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir
	$(MAKE)
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	$(MAKE) clean
	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs
	$(MAKE) DESTDIR=$(CURDIR)/debian/gkrellm-thinkbat install

# Build architecture-independent files here.
binary-indep: build install

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
	dh_installdocs
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

build-arch: build
build-indep: build
binary: binary-indep binary-arch
.PHONY: build build-arch build-indep clean binary-indep binary-arch binary install configure

## gkrellm-thinkbat 0.2.3

=== Makefile ===
VERSION = 0.2.3
CC = gcc
CPPFLAGS +=
CFLAGS += -I. -Wall -pedantic -O2
INCLUDE = `pkg-config gtk+-2.0 --cflags` -fPIC -DVERSION=\"$(VERSION)\"
LDFLAGS += -shared -lm
INSTALL ?= install
INSTALLDIR = $(DESTDIR)/usr/lib/gkrellm2/plugins/



all : gkrellm-thinkbat.so

gkrellm-thinkbat.so : gkrellm-thinkbat.o collect_data.o
	$(CC) $(INCLUDE) $(CFLAGS) $(LDFLAGS) -o gkrellm-thinkbat.so gkrellm-thinkbat.o collect_data.o

gkrellm-thinkbat.o : collect_data.h collect_data.o
	$(CC) $(INCLUDE) $(CPPFLAGS) $(CFLAGS) -c gkrellm-thinkbat.c

collect_data.o : collect_data.h
	$(CC) $(INCLUDE) $(CPPFLAGS) $(CFLAGS) -c collect_data.c

clean :
	rm -f *.o gkrellm-thinkbat.so

install : gkrellm-thinkbat.so
	$(INSTALL) -d $(INSTALLDIR)
	$(INSTALL) -c -m 644 gkrellm-thinkbat.so $(INSTALLDIR)

dist :
	rm -rf gkrellm-thinkbat-$(VERSION)
	mkdir gkrellm-thinkbat-$(VERSION)
	cp AUTHORS ChangeLog collect_data.c collect_data.h COPYING gkrellm-thinkbat.c gkrellm-thinkbat.h Makefile README TODO gkrellm-thinkbat-$(VERSION)
	tar -czf ../gkrellm-thinkbat-$(VERSION).tar.gz gkrellm-thinkbat-$(VERSION)
	rm -rf gkrellm-thinkbat-$(VERSION)

=== debian/changelog ===
gkrellm-thinkbat (0.2.3-2) unstable; urgency=medium

  * QA upload.
  * Build with -std=gnu17 to workaround FTBFS with GCC 15
    in GKrellM headers. (Closes: #1096715)
  * debian/control: Remove link to dead Homepage.

 -- Adrian Bunk <bunk@debian.org>  Fri, 26 Sep 2025 20:47:32 +0300

gkrellm-thinkbat (0.2.3-1) unstable; urgency=medium

  * QA upload.

  * New upstream version 0.2.3 (Closes: #1082374).
    - Dropped patches now included upstream: Makefile.patch,
      deb-build-flags.patch and 1010-gcc-14.patch.
  * Added d/watch file pointing to new upstream location.

 -- Petter Reinholdtsen <pere@debian.org>  Tue, 24 Sep 2024 23:36:19 +0200

gkrellm-thinkbat (0.2.2-2) unstable; urgency=medium

  * QA upload.

  * Added d/gbp.conf to describe branch layout.
  * Updated vcs in d/control to Salsa.
  * Updated d/gbp.conf to enforce the use of pristine-tar.
  * Updated Standards-Version from 3.7.3 to 4.7.0.
  * Use wrap-and-sort -at for debian control files.
  * Trim trailing whitespace.
  * Add missing ${misc:Depends} to Depends for gkrellm-thinkbat.
  * debian/rules: Use dh_prep rather than "dh_clean -k".
  * Bump debhelper dependency to >= 7, since that's what is used
    in debian/compat.
  * Bump debhelper from deprecated 7 to 13.
  * Set debhelper-compat version in Build-Depends.
  * Changed Maintainer to Debian QA Group, as the package is orphaned.
  * Adjusted build system to include debug symbols and use simple dh sequencing.
  * Added 1000-appstream-metainfo.patch for AppStream metainfo XML with
    hardware provide info (Closes: #840596).
  * Adjusted deb-build-flags.patch to work with cross building (Closes: #948089).
  * Added 1010-gcc-14.patch fixing GCC 14 build problem (Closes: #1075006).

 -- Petter Reinholdtsen <pere@debian.org>  Tue, 20 Aug 2024 01:31:58 +0200

=== debian/control ===
Source: gkrellm-thinkbat
Section: x11
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper-compat (= 13),
               gkrellm (>= 2.0.0),
               libgtk2.0-dev,
               pkgconf,
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/debian/gkrellm-thinkbat
Vcs-Git: https://salsa.debian.org/debian/gkrellm-thinkbat.git

Package: gkrellm-thinkbat
Architecture: any
Depends: gkrellm (>= 2.0.0),
         ${shlibs:Depends},
         ${misc:Depends},
Description: ThinkPad laptops battery status indicator for GKrellM
 This plugin displays:
  * power consumption
  * time estimation
  * remaining capacity percentage
  * charging information
 .
 tp_smapi kernel module is required as source of information about battery.

=== debian/watch ===
version=3
https://www.100acrewood.org/~rasto/thinkbat/ gkrellm-thinkbat-(.*)\.tar\.gz
